Bug 807982 - anaconda can not load an updates.img from removable media
anaconda can not load an updates.img from removable media
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
AcceptedBlocker AcceptedNTH
:
Depends On:
Blocks: F17Blocker/F17FinalBlocker F17Beta-accepted/F17BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-03-29 05:32 EDT by Tao Wu
Modified: 2014-10-28 19:45 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-17.24-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 01:08:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tao Wu 2012-03-29 05:32:24 EDT
Description of problem:
anaconda can not load an updates.img from removable media, seems ignore the "updates" boot argument. Refer to:

https://fedoraproject.org/wiki/QA:Testcase_Anaconda_updates.img_via_local_media

Version-Release number of selected component (if applicable):
17.16

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Adam Williamson 2012-04-03 18:33:15 EDT
This should be proposed as a Beta blocker, per criterion "The installer must be able to use an installer update image retrieved from removable media, remote installation source and HTTP server".

But I'm not really sure we should be requiring anything but HTTP to work at Beta.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Adam Williamson 2012-04-03 21:38:21 EDT
Discussed at 2012-04-03 emergency blocker review meeting: http://meetbot.fedoraproject.org/fedora-meeting/2012-04-03/fedora-meeting.2012-04-03-23.08.html . We agreed that the relevant criterion should be made a Final criterion rather than a Beta criterion. Note that the criterion was only recently created and it was really just a coin flip whether we made it Beta or Final. We developed a solid consensus at the meeting that we really don't need any delivery method besides http/ftp to work at Beta. Having them working at Final is fine.

Accordingly, this bug is accepted as a Final blocker, rather than a Beta blocker. It is accepted as Beta NTH, but a fix is unlikely to make Beta.

See the mailing list thread for the discussion when the criterion was created - https://lists.fedoraproject.org/pipermail/test/2012-February/105681.html . Only myself and Petr Schindler really got involved in the discussion. (The earlier mails come from January).

I will adjust the criteria and install matrix template as appropriate.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Will Woods 2012-04-25 19:53:40 EDT
The text-based UI presented by loader when 'updates' was given will *not* be available. There's no pre-anaconda UI anymore.

On the other hand, supporting 'updates=hd:LABEL=xxx:/updates.img' or similar should satisfy the criteria, so that's what will be available.

Would it be useful/necessary to automatically look for updates on filesystems with a specific label? If so: what should the label be?
Comment 4 Will Woods 2012-05-01 16:56:56 EDT
This patch has been posted and reviewed:

https://www.redhat.com/archives/anaconda-devel-list/2012-April/msg00348.html

There's a bug in the patch that will be fixed (updates-genrules.sh needs to return early if $updates is empty), but this should be in the next anaconda build.
Comment 5 Adam Williamson 2012-05-08 01:08:57 EDT
Verified fixed in TC3. anaconda 17.25 is pushed.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.